Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 13 Oct 2021 05:06:20 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Please need your support to check this order 9503248493 as I requested to cancel an item which I didn’t receive and till now it’s showing as processing only, I called few times about same thing and last time one guy confirmed that it will be canceled and refunded as per the reply from the concerned department, kindly can u please update me if this item was canceled already and update the application as well as this order to be paid through tabby and they will deduct the full amount unless it will be updated here on the application, waiting for your urgent reply. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3215181